Package bitel.billing.server.contract.object.bean

# Class ContractObject

java.lang.Object
bitel.billing.server.contract.object.bean.ContractObject

All Implemented Interfaces:
  `java.io.Serializable`, `ListItem`

    public class ContractObject
    extends java.lang.Object
    implements ListItem, java.io.Serializable

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractObject()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Calendar` | `getDate1()` |
  `java.util.Calendar` | `getDate2()` |
  `int` | `getId()` |
  `int` | `getPos()` |
  `java.lang.String` | `getTitle()` |
  `int` | `getTypeId()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate1​(java.util.Calendar date1)` |
  `void` | `setDate2​(java.util.Calendar date2)` |
  `void` | `setId​(int id)` |
  `void` | `setPos​(int pos)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setTypeId​(int typeId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractObject

    public ContractObject()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getDate1

    public java.util.Calendar getDate1()

  - ### setDate1

    public void setDate1​(java.util.Calendar date1)

  - ### getDate2

    public java.util.Calendar getDate2()

  - ### setDate2

    public void setDate2​(java.util.Calendar date2)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos​(int pos)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)